Bug 143846 - Create separate help pages for each function in the "Text Functions" page
Summary: Create separate help pages for each function in the "Text Functions" page
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Rafael Lima
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2021-08-12 18:54 UTC by Rafael Lima
Modified: 2021-11-24 22:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
I've made a separate documentation for ARABIC function under TEXT. (12.03 KB, application/vnd.oasis.opendocument.text)
2021-09-02 17:09 UTC, Sanskar Goyal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Lima 2021-08-12 18:54:26 UTC
Hi! The "Text Functions" help page (link below) is composed of multiple functions. Some of them have full descriptions in the help page [1] (some of them are short and some are long), whereas other functions have their own pages.

[1] https://help.libreoffice.org/7.3/en-US/text/scalc/01/04060110.html?DbPAR=CALC#bm_id3145389

This causes some imbalance in the "Text Functions" help page and in my opinion it looks a bit messy.

What I would like to propose is to create separate help pages for each function and keep the "Text Functions" help page with the names of functions followed by a short description, as it is currently done in some pages (e.g. the Tools page [2])

[2] https://help.libreoffice.org/7.3/en-US/text/swriter/main0106.html?&DbPAR=WRITER

This way, future update to the help files of each function will be more organized IMO.
Comment 1 Olivier Hallot 2021-08-12 20:51:54 UTC
Help maintainability is a good thing. I advise to proceed in a slow pace because this change will force retranslation of the concerned functions help contents.

The weblate tool used by LibreOffice community has translation memory to help the retranslation, however it the process is often dull.

I suggest to deliver one or 2 help file a month.
Comment 2 Rafael Lima 2021-08-12 22:36:37 UTC
Okay... I'll do it at a slow pace.
Comment 3 Sanskar Goyal 2021-09-02 17:09:28 UTC
Created attachment 174741 [details]
I've made a separate documentation for ARABIC function under TEXT.

I am contributing for the first time to LibreOffice. I have made a separate documentation for the ARABIC function to be used under Text category . I have added the syntax and examples as well.
Comment 4 Rafael Lima 2021-09-02 18:39:20 UTC
(In reply to Sanskar Goyal from comment #3)
> Created attachment 174741 [details]
> I've made a separate documentation for ARABIC function under TEXT.

Hi Sanskar, I'll consider your contribution when updating the ARABIC function.

Thanks!
Comment 5 Commit Notification 2021-10-21 18:02:16 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/c37c5f2131d0fe893d7de8995e7deb73262988aa

Related tdf#143846 Improve Arabic/Roman help pages
Comment 6 Commit Notification 2021-11-24 22:17:43 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/f0f2cba1d40a248f3cc24ecaa60d403586894780

tdf#143846 Separate help pages for ASC/JIS text functions